Subject: [PATCH v2 0/3] arm/dts: omap: add dt data for MUSB

From: [email-masked] (Benoit Cousson)
Date: Tue, 11 Sep 2012 12:01:53 +0200

On 09/11/2012 11:16 AM, ABRAHAM, KISHON VIJAY wrote:
> Hi,
> 
> On Tue, Sep 11, 2012 at 2:41 PM, Benoit Cousson <[email-masked]> wrote:
>> On 09/11/2012 10:44 AM, ABRAHAM, KISHON VIJAY wrote:
>>> Hi Benoit,
>>>
>>> On Tue, Sep 11, 2012 at 1:55 PM, Benoit Cousson <[email-masked]> wrote:
>>>> On 09/11/2012 08:36 AM, Kishon Vijay Abraham I wrote:
>>>>> No major change from the previous version. Just removed the
>>>>> omap-usb2 dt data and sent that as a separate patch.
>>>>
>>>> Well, I think you'd better keep them in the same series :-)
>>>>
>>>>> Rebased on
>>>>> git://git.kernel.org/pub/scm/linux/kernel/git/balbi/usb.git musb
>>>>
>>>> Since it is DTS stuf, you should rebase that on top of the latest
>>>> lo/devel-dt branch. All the latest DTS patches an in there for 3.7.
>>>
>>> The ocp2scp data is not in linux-omap :-( And omap-usb2 has to be a
>>> child of ocp2scp. So I used arm-soc tree to which ocp2scp stuff was
>>> pulled into.
>>
>> Mmm, but from what tree? It did not go through Tony?
>> What arm-soc branch exactly?
> 
> git://git.kernel.org/pub/scm/linux/kernel/git/arm/arm-soc.git for-next
> (or) ocp2scp

OK, here it is:

+
+               ocp2scp {
+                       compatible = "ti,omap-ocp2scp";
+                       #address-cells = <1>;
+                       #size-cells = <1>;
+                       ranges;
+                       ti,hwmods = "ocp2scp_usb_phy";
+               };

In order to be consistent with the OMAP4 data now, you should update it
to add the reg, and IRQ if applicable.

But for that we do need a proper base with ocp2scp + devel-dt.

Regards,
Benoit